# CuttingSection

class CuttingSection

  The CuttingSection class is a concept class for cutting-section-related enum classes.

  Public Types

  enum class CappingLevel : uint32_t

    Enumerates the level at which capping geometry should be generated for cutting sections.

    Values:

    enumerator Entity

      Each piece of geometry should be treated as if it encloses a volume.

    enumerator Segment

      All geometry in a segment (but not subsegments) should be treated as if it encloses a single volume.

    enumerator SegmentTree

      All geometry in a segment tree should be treated as if it encloses a single volume.

  enum class CappingUsage : uint32_t

    Enumerates the choices for whether geometry (faces) are cut and processed for capping geometry.

    Values:

    enumerator Off

      Faces will not be used for capping.

    enumerator On

      Faces will be used for capping generation.

    enumerator Visibility

      Faces will be used for capping generation if they are visible.

  enum class CuttingLevel : uint32_t

    Enumerates the level at which cutting planes should operate.

    Values:

    enumerator Global

      Cutting sections will cut all geometry in the scene graph.

    enumerator Local

      Cutting sections will only cut geometry contained in the segment and subsegments where the cutting section is inserted.

  enum class GatheringLevel : uint32_t

    Enumerates the level at which capping geometry should be gathered.

    Values:

    enumerator Segment

      Capping geometry will be gathered only from a single segment.

    enumerator SegmentTree

      Capping geometry will be gathered from the segment and all its subsegments and includes.

  enum class MaterialPreference : uint32_t

    Enumerates which material settings should be used for cut geometry generated for cutting sections.

    Values:

    enumerator Explicit

      Use the effective materials set for cut faces and cut edges in the segment tree.

      For example, the following function applies color settings that would be respected when MaterialPreference is set to Explicit: mySegmentKey.GetMaterialMappingControl().SetCutFaceColor(myRGBAColor).SetCutEdgeColor(myRGBAColor)

    enumerator Implicit

      Use the effective materials set for (regular) faces and (regular) edges in the segment tree. For Segment or SegmentTree CappingLevel, the implicit capping geometry face color will be the weighted average of the geometry face colors where the cut is applied.

      For example, the following function applies color settings that would be respected when MaterialPreference is set to Implicit: mySegmentKey.GetMaterialMappingControl().SetFaceColor(myRGBAColor).SetEdgeColor(myRGBAColor)

  enum class Mode : uint32_t

    Enumerates the modes for cutting sections. These are the shapes (if any) of the visualization geometry that will be drawn to represent cutting planes within cutting sections.

    Values:

    enumerator None

      No visualization geometry will be drawn for cutting planes in a cutting sections.

    enumerator Round

      A circular plane will be drawn for cutting planes in a cutting section. The size of the planes will be based on the size of the geometry being cut and the visualization scale.

    enumerator Square

      A square plane will be drawn for cutting planes in a cutting section. The size of the planes will be based on the size of the geometry being cut and the visualization scale.

    enumerator Plane

      An infinitely large plane will be drawn for cutting planes in a cutting section.

  enum class ToleranceUnits : uint32_t

    Enumerates the how tolerance should be interpreted.

    Values:

    enumerator Percent

      Tolerance specified is interpreted as a percentage of current view (camera field).

    enumerator WorldSpace

      Tolerance specified is interpreted in world space.

Hello I'm HOOPSY!

HOOPSY BETA

Hello I am HOOPSY! your Docs generative AI assistant.

Ask me anything about HOOPS Visualize HPS or choose a sample question below to start a conversation:

Additional info

HOOPSY may store chats to provide and maintain the service according to OpenAI's data policy.

This feature is currently experimental. While we are continually enhancing its performance and quality, the underlying AI model may generate inaccurate or fabricated responses, especially if prompted to do so.

New Conversation
Continue generating